package com.aidex.common.gps.server;

import com.aidex.common.gps.domain.*;

import java.util.List;

public interface IGpsService {

    String getLocationUrl(String ShipId);

    String getPlayUrl(String ShipId);

    LocationEntity getLocation(String shipId);

    List<LocationEntity> getLocationBatch();

    List<LocationEntity> getLocationBatchByMac(String macIds);

    List<MileageEntity> getMileageStatisics(String startTime, String endTime);

    List<FenceEntity> findFenceIn(String macId, String fenceName, Long startTime, Long endTime);

    List<FenceEntity> findFenceInByMacId(String macId,Long startTime, Long endTime);

    List<MyGpsEntity> findMyGps();

    List<AccEntity> findAccByMacId(String macId, Long startTime, Long endTime);

    List<AlarmDatetailsEntity> findAlarmDetails(String macid,String alarmTypes, Long startTime, Long endTime);
}
